Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.interceptor
Class AbstractInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor

All Implemented Interfaces:
  Interceptor, Serializable

Direct Known Subclasses:
  ActionAutowiringInterceptor, AliasInterceptor, AnnotationParameterFilterIntereptor, AnnotationWorkflowInterceptor, ChainingInterceptor, ConversionErrorInterceptor, ExceptionMappingInterceptor, I18nInterceptor, LoggingInterceptor, MethodFilterInterceptor, ModelDrivenInterceptor, ParameterFilterInterceptor, ParameterRemoverInterceptor, ScopedModelDrivenInterceptor, StaticParametersInterceptor, TimerInterceptor

    public abstract class AbstractInterceptor

extends Object
implements Interceptor

Provides default implementations of optional lifecycle methods

See Also:
  Serialized Form

Constructor Summary
`AbstractInterceptor()`

Method Summary
`void` | `destroy()` Does nothing
`void` | `init()` Does nothing
`abstract String` | `intercept(ActionInvocation invocation)` Override to handle interception

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInterceptor

    public AbstractInterceptor()

Method Detail

### init

    public void init()

  Does nothing

  Specified by:
    `init` in interface `Interceptor`

### destroy

    public void destroy()

  Does nothing

  Specified by:
    `destroy` in interface `Interceptor`

### intercept

    public abstract String intercept(ActionInvocation invocation)
                              throws Exception

  Override to handle interception

  Specified by:
    `intercept` in interface `Interceptor`
  Parameters:
    `invocation` - the action invocation
  Returns:
    the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
  Throws:
    `Exception` - any system-level error, as defined in `Action.execute()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.